iOS高德地图SDK(3D) V11.2.0001

Instance Methods | List of all members
MAParticleOverLifeModuleOC Class Reference

`#import <MAParticleOverlayOptions.h>`

Inheritance diagram for MAParticleOverLifeModuleOC:

## Instance Methods
(void) | - setVelocityOverLife:
| 设置粒子生命周期过程中速度的变化 Set the change in speed during the particle's life cycle More...
(void) | - setRotationOverLife:
| 设置粒子生命周期过程中角度的变化 Set the change in angle during the particle's life cycle More...
(void) | - setSizeOverLife:
| 设置粒子生命周期过程中大小的变化 Set the size variation during the particle's lifecycle More...
(void) | - setColorOverLife:
| 设置粒子生命周期过程中颜色的变化 Set color changes during the particle lifecycle More...

## Detailed Description

粒子生命周期过程中状态变化，包含速度、旋转和颜色的变化. since 6.5.0 State changes during the particle life cycle, including changes in velocity, rotation, and color. since 6.5.0

## Method Documentation

## ◆ setColorOverLife:

- (void) setColorOverLife: |  | (id< MAParticleColorGenerate >) | color |

设置粒子生命周期过程中颜色的变化 Set color changes during the particle lifecycle

Parameters

  color | 遵循MAParticleColorGenerate协议的颜色生成类 A color generation class conforming to the MAParticleColorGenerate protocol

## ◆ setRotationOverLife:

- (void) setRotationOverLife: |  | (id< MAParticleRotationGenerate >) | rotation |

设置粒子生命周期过程中角度的变化 Set the change in angle during the particle's life cycle

Parameters

  rotation | 遵循MAParticleRotationGenerate协议的角度生成类 Angle generation class conforming to the MAParticleRotationGenerate protocol

## ◆ setSizeOverLife:

- (void) setSizeOverLife: |  | (id< MAParticleSizeGenerate >) | size |

设置粒子生命周期过程中大小的变化 Set the size variation during the particle's lifecycle

Parameters

  size | 遵循MAParticleSizeGenerate协议的大小生成类 Size generation class conforming to the MAParticleSizeGenerate protocol

## ◆ setVelocityOverLife:

- (void) setVelocityOverLife: |  | (id< MAParticleVelocityGenerate >) | velocity |

设置粒子生命周期过程中速度的变化 Set the change in speed during the particle's life cycle

Parameters

  velocity | 遵循MAParticleVelocityGenerate协议的速度生成类 Speed generation class that follows the MAParticleVelocityGenerate protocol

The documentation for this class was generated from the following file:

- MAParticleOverlayOptions.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。